<?php
/**
 * Bootable trait
 *
 * @package    MPP Vimeo Integration
 * @subpackage Bootstrap
 */

namespace MPP_Vimeo_Integration\Bootstrap;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Trait MPP_Vimeo_Bootable
 */
trait MPP_Vimeo_Bootable {
	/**
	 * Boot class
	 *
	 * @return MPP_Vimeo_Bootable
	 */
	public static function boot() {
		$self = new self();
		$self->setup();

		return $self;
	}
}